#include <iostream>
#include <vector>
#include <algorithm>
#include <set>
#include <unordered_map>
#include <map>
#include <stack>
#include <queue>
#include <cmath>
#include <cstdlib>
#include <ctype.h>
#include <assert.h>
#include <random>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
#define endl '\n'

using namespace std;
using namespace __gnu_pbds;

template <class T>
using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;

template <class T>
using ordered_multiset = tree<T, null_type, less_equal<T>, rb_tree_tag, tree_order_statistics_node_update>;

#include "partition.h"

vector<int> solve(vector<int> A) {
    vector<pair<int,int>> a;
    vector<int> ret;
    int n = A.size();
    for(int i = 0; i < n/2-1+n%2; i++) ret.push_back(i);
    ret.push_back(n-1);
    for(int i = n/2-1+n%2; i < n-1; i++) ret.push_back(i);
    return ret;
}
/*
1
10
0 1 2 4 8 16 32 64 128 256
0 1 2 3 9 4 5 6 7 8

1
9
0 1 2 4 8 16 32 64 128
0 1 2 3 8 4 5 6 7
*/
